Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.CR4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.examples.vehiclerouting.domain.timewindowed.solver
Class ArrivalTimeUpdatingVariableListener

    java.lang.Object
      org.optaplanner.examples.vehiclerouting.domain.timewindowed.solver.ArrivalTimeUpdatingVariableListener

All Implemented Interfaces:
  PlanningVariableListener<Customer>

    public class ArrivalTimeUpdatingVariableListener

extends Object
implements PlanningVariableListener<Customer>

Constructor Summary
`ArrivalTimeUpdatingVariableListener()`

Method Summary
`void` | `afterEntityAdded(ScoreDirector scoreDirector, Customer customer)`
`void` | `afterEntityRemoved(ScoreDirector scoreDirector, Customer customer)`
`void` | `afterVariableChanged(ScoreDirector scoreDirector, Customer customer)`
`void` | `beforeEntityAdded(ScoreDirector scoreDirector, Customer customer)`
`void` | `beforeEntityRemoved(ScoreDirector scoreDirector, Customer customer)`
`void` | `beforeVariableChanged(ScoreDirector scoreDirector, Customer customer)`
`protected void` | `updateVehicle(ScoreDirector scoreDirector, TimeWindowedCustomer sourceCustomer)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ArrivalTimeUpdatingVariableListener

    public ArrivalTimeUpdatingVariableListener()

Method Detail

### beforeEntityAdded

    public void beforeEntityAdded(ScoreDirector scoreDirector,
                                  Customer customer)

  Specified by:
    `beforeEntityAdded` in interface `PlanningVariableListener<Customer>`

### afterEntityAdded

    public void afterEntityAdded(ScoreDirector scoreDirector,
                                 Customer customer)

  Specified by:
    `afterEntityAdded` in interface `PlanningVariableListener<Customer>`

### beforeVariableChanged

    public void beforeVariableChanged(ScoreDirector scoreDirector,
                                      Customer customer)

  Specified by:
    `beforeVariableChanged` in interface `PlanningVariableListener<Customer>`

### afterVariableChanged

    public void afterVariableChanged(ScoreDirector scoreDirector,
                                     Customer customer)

  Specified by:
    `afterVariableChanged` in interface `PlanningVariableListener<Customer>`

### beforeEntityRemoved

    public void beforeEntityRemoved(ScoreDirector scoreDirector,
                                    Customer customer)

  Specified by:
    `beforeEntityRemoved` in interface `PlanningVariableListener<Customer>`

### afterEntityRemoved

    public void afterEntityRemoved(ScoreDirector scoreDirector,
                                   Customer customer)

  Specified by:
    `afterEntityRemoved` in interface `PlanningVariableListener<Customer>`

### updateVehicle

    protected void updateVehicle(ScoreDirector scoreDirector,
                                 TimeWindowedCustomer sourceCustomer)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.CR4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 JBoss by Red Hat. All Rights Reserved.